FtpDeployTask

Deploys a set of files to a remote FTP server.

Example usage:

author | Jorrit Schippers <jorrit at ncode dot nl>
contributor | Steffen Sørensen <steffen@sublife.dk>
version | $Id: 73ae55d7e1918ce0df306b1df4cd0dc656051bcc $
since | 2.3.1
package | phing.tasks.ext
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## __construct()

    __construct()

## createFileSet()

    createFileSet()

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## The init method: check if Net_FTP is available

    init()

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## The main entry point method.

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## setClearFirst()

    setClearFirst($clearFirst)

### Parameters

#### $clearFirst

## setDepends()

    setDepends($depends)

### Parameters

#### $depends

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## setDir()

    setDir($dir)

### Parameters

#### $dir

## setDirmode()

    setDirmode($dirmode)

### Parameters

#### $dirmode

## setFilemode()

    setFilemode($filemode)

### Parameters

#### $filemode

## setHost()

    setHost($host)

### Parameters

#### $host

## Set level of log messages generated (default = info)

    setLevel(string $level)

### Parameters

#### $level

`string`

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## setMode()

    setMode($mode)

### Parameters

#### $mode

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## setPassive()

    setPassive($passive)

### Parameters

#### $passive

## setPassword()

    setPassword($password)

### Parameters

#### $password

## setPort()

    setPort($port)

### Parameters

#### $port

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## setUsername()

    setUsername($username)

### Parameters

#### $username

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

## _directoryInformations()

    _directoryInformations(\Net_FTP $ftp, $remoteFileInformations, $directory)

### Parameters

#### $ftp

#### $remoteFileInformations

#### $directory

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $logLevel

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $clearFirst

##

    $completeDirMap

##

    $depends

##

    $dir

##

    $dirmode

##

    $filemode

##

    $filesets

##

    $host

##

    $mode

##

    $passive

##

    $password

##

    $port

##

    $username